﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.filters.GlowFilter;
	import flash.events.MouseEvent;
	import flash.geom.*;
	import flash.display.*;

	public class Damier extends Sprite
	{
		private var col:Number = 10;
		private var line:Number = 10;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 500;
		private var diametre:Number = 80;
		private var glowObj:GlowFilter;
		
		//////degradiert
		
		private var fillType:String = GradientType.LINEAR;
		var spreadMethod:String = SpreadMethod.PAD;
		private var colors:Array = [0xFF8700,0x009C58];
		private var alphas:Array = [1,1];
		private var ratios:Array = [0,255];
		private var matr:Matrix  = new Matrix();
		
		
		
		
		
		public function Damier()
		{
			grid = new Sprite();
			addChild(grid);
			grid.x = 75;
			grid.y = 75;
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			glowObj = new GlowFilter();
			glowObj.blurX = 3;
			glowObj.blurY = 10;
			glowObj.alpha = .35;
			glowObj.quality = 10;
			glowObj.color = 0xFFFF9C;
			grid.filters = [glowObj];
			
			grid.addEventListener(MouseEvent.MOUSE_DOWN, eraser);
			
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*50-mouseX+grid.x),2) + Math.pow(i*50-mouseY+grid.y,2));
					if(dist<diametre && dist>=10){
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*50+amplitude/distx,"y":i*50+amplitude/disty});
						
						
					}else{
						points.push({"x":j*50,"y":i*50});
					}
				}
			}
			//grid.graphics.clear();
			//grid.graphics.lineStyle(1,0x58009A);
			for(var k:Number=0;k<points.length;k++){
				//grid.graphics.beginFill(0xffffff);
				matr.createGradientBox(600,600,90,0,0);
				grid.graphics.beginGradientFill(fillType,colors,alphas,ratios,matr,spreadMethod);
				//grid.graphics.drawCircle(points[k].x,points[k].y,10);
				grid.graphics.drawRoundRect(points[k].x,points[k].y,20,20,10,10);
				grid.graphics.endFill();
				if((k+1)%col != 0){
					
					
					grid.graphics.moveTo(points[k].x,points[k].y);
					//grid.graphics.lineStyle(.1,0xffffff,.1);
					//grid.graphics.moveTo(mouseX,mouseY);
					//grid.graphics.lineTo(points[k+1].x,points[k+1].y);
					//grid.graphics.drawCircle(points[k].x,points[k].y,15);
					//grid.blendMode = "add";
				
					
				}
				if(k+col < col*line){
					grid.graphics.moveTo(points[k].x,points[k].y);
					grid.graphics.lineTo(points[k+col].x,points[k+col].y);
					
				}
			}
		}
		
		private function eraser(e:MouseEvent):void{
				
				grid.graphics.clear();
				
			}
	}
}